<img src="https://github.com/wong-bejo/belajar/raw/master/belajar.png" width="228" />

# belajar

_Belajar apa saja melalui terminal, tanpa gangguan iklan dan terlihat lebih keren_

---

[![Gem Version](https://badge.fury.io/rb/belajar.svg)](http://badge.fury.io/rb/belajar)
[![Travis Build](https://travis-ci.com/wong-bejo/belajar.svg?branch=main)](https://travis-ci.com/wong-bejo/belajar)

With Belajar you can master your way of learning the Ruby programming
language with courses that are created by the community.

Belajar is a command line tool and a text based interface and provides
you with a number of learning tasks and explanations about the Ruby
programming language. You will learn Ruby step by step by solving small
language-explaining programming tasks.

## Installation

First of all make sure Ruby is installed on your computer.
Belajar works with [MRI Ruby](https://www.ruby-lang.org/en/documentation/installation/) v2.5 or higher.

Then open a terminal and install Belajar by running:

    $ gem install belajar

## Get started

To get started open a terminal and run following line:

    $ belajar welcome

Belajar will lead you through the setup and some important commands.

## Command line interface

Belajar’s command line interface provides several commands which you
can use in your terminal to setup the system, download new courses,
and navigate through your solutions.

Please visit the [Belajar Wiki](https://github.com/wong-bejo/belajar/wiki/How-to-use-Belajar%27s-command-line-interface-%28CLI%29) to learn more about available commands.

![Belajar CLI screenshot](https://res.cloudinary.com/paulgoetze/image/upload/v1520762037/belajar/belajar-cli-screenshot_xgpav6.png)

## Belajar screen

Belajar’s text based interface—the Belajar screen—shows your installed courses and allows you to navigate through their chapters and units. In the task view you can read the unit’s task and validate your solution code.

Please visit the [Diagaku Wiki](https://github.com/wong-bejo/belajar/wiki/How-to-learn-Ruby-in-the-Belajar-screen) to learn how to use the Belajar screen.

![Belajar screen screenshot](https://res.cloudinary.com/paulgoetze/image/upload/v1520762097/belajar/belajar-task-view_zbvsia.png)

## Contributing

We encourage you to contribute to Belajar development and course creation.

This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant Code of Conduct](https://github.com/wong-bejo/belajar/blob/master/CODE_OF_CONDUCT.md).

### Development

Any ideas, feature proposals, filing and feedback on issues are very welcome.
We use the [git branching model](http://nvie.com/posts/a-successful-git-branching-model/) described by [nvie](https://github.com/nvie).

Here’s how to contribute:

1. Fork it ( https://github.com/wong-bejo/belajar/fork )
2. Create your feature branch (`git checkout -b feature/my-new-feature develop`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin feature/my-new-feature`)
5. Create a new Pull Request

Please try to add RSpec tests with your new features. This will ensure that your code does not break existing functionality and that your feature is working as expected.

Ah, don’t forget step 6: Celebrate that you made Belajar a better tool after your code was merged in! :octocat: :tada:

### License

Belajar is released under the [MIT License](http://opensource.org/licenses/MIT).
