require 'spec_helper'

describe Belajar::Congratulator do
  it 'responds to #message' do
    expect(Belajar::Congratulator).to respond_to :message
  end

  describe '#message' do
    it 'returns a string' do
      expect(Belajar::Congratulator.message).to be_a String
    end

    it 'returns a random congratulation method' do
      messages = 1.upto(10).map { |_| Belajar::Congratulator.message }
      expect(messages.uniq.count).to be > 1
    end

    it 'receives the congratulation texts from a Terminal text' do
      expect(Belajar::Terminal)
        .to receive(:text)
        .with(:congratulations)
        .and_return('')

      Belajar::Congratulator.message
    end
  end
end
