require 'spec_helper'

describe Belajar::Terminal do
  it { is_expected.to respond_to :text }

  describe '.text' do
    it 'loads a text from a file in the terminal/texts' do
      text = Belajar::Terminal.text(:welcome)
      expect(text).to be_a String
    end

    it 'returns an empty string if the file does not exist' do
      text = Belajar::Terminal.text(:non_existent_text)
      expect(text).to eq ''
    end

    it 'returns an empty string if the file has no content' do
      allow(File).to receive(:read).and_return('')
      expect(Belajar::Terminal.text(:congratulations)).to eq ''
    end
  end
end
