require 'spec_helper'

describe 'Belajar module' do
  describe '.config' do
    subject { Belajar.config }

    [:config, :configure, :start].each do |method|
      it "responds to .#{method}" do
        expect(Belajar.singleton_methods).to include method
      end
    end

    it 'returns Configuration of class Belajar::Configuration' do
      expect(subject).to be_an_instance_of Belajar::Configuration
    end

    it 'returns a singleton setting' do
      expect(subject).to be Belajar.config
    end
  end

  describe '.configure' do
    let(:configure) do
      proc do
        Belajar.configure do |config|
          config.solutions_path = test_basepath
        end
      end
    end

    it 'allows to configure the app' do
      expect { configure.call }.not_to raise_error
    end

    it 'sets configuration properties' do
      configure.call
      expect(Belajar.config.solutions_path).to eq test_basepath
    end

    it 'allows to change the config during runtime' do
      Belajar.configure do |config|
        config.solutions_path = courses_basepath
      end

      expect(Belajar.config.solutions_path).to eq courses_basepath
    end
  end
end
